MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025376Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2014-10-15 11:392014-11-12 09:54
Reporteraml 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025376: Inconsistence between function and derivatives evaluation in Extrema_GlobOptFuncCS.
DescriptionIn "value" function distance is computed, but in "gradient" and "hessian" computed for "square distance".

It is necessary to use one approach: "distance" or "square distance" everywhere in Extrema_GlobOptFuncCS.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0033111)
git (administrator)
2014-10-15 11:47

Branch CR25376 has been created by aml.

SHA-1: e7455d061a22944ede09e1a55cfe783228594cea


Detailed log of new commits:

Author: aml
Date: Wed Oct 15 11:44:53 2014 +0400

    0025376: Inconsistence between function and derivatives evaluation in Extrema_GlobOptFuncCS.
    
    Changed "value" function behavior in Extrema/Extrema_GlobOptFuncCS.cxx. Now it compute square distance between point on curve and point on surface.
(0033112)
aml (developer)
2014-10-15 11:48

Dear abv,

Please check current state of branch CR25376.
(0033127)
git (administrator)
2014-10-15 13:40

Branch CR25376 has been updated forcibly by aml.

SHA-1: 1a603670ac51763d9a2162e65466dcf2c6dd7211
(0033130)
git (administrator)
2014-10-15 13:54

Branch CR25376 has been updated forcibly by aml.

SHA-1: 70dfb662959390a7c29e8a741a5628c5eca68516
(0033234)
abv (manager)
2014-10-16 21:21

No remarks, please test
(0033286)
git (administrator)
2014-10-17 19:04

Branch CR25376 has been updated forcibly by mkv.

SHA-1: 86405f66e9e77f4dff2046be33dfdca790001430
(0033355)
mkv (tester)
2014-10-20 20:33

Dear BugMaster,
Branch CR25376 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 86405f66e9e77f4dff2046be33dfdca790001430

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)
MacOS: 199 (199 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 368801972 / 368944548
Total CPU difference: 46382.69999999994 / 44655.91000000001
products component :
Total MEMORY difference: 125005188 / 125190500
Total CPU difference: 16779.709999999974 / 17166.429999999975

Testing on Windows:
occt component :
Total MEMORY difference: 253883176 / 252953496
Total CPU difference: 41862.046875 / 34935.15625
products component :
Total MEMORY difference: 71721948 / 70188468
Total CPU difference: 12216.421875 / 11249.375

There are no differences in images found by testdiff.
(0034323)
git (administrator)
2014-11-12 09:54

Branch CR25376 has been deleted by inv.

SHA-1: 86405f66e9e77f4dff2046be33dfdca790001430

- Related Changesets
occt: master f82a9555
Timestamp: 2014-10-15 07:44:53
Author: aml
Committer: bugmaster
Details ] Diff ]
0025376: Inconsistence between function and derivatives evaluation in Extrema_GlobOptFuncCS.

Changed "value" function behavior in Extrema/Extrema_GlobOptFuncCS.cxx. Now it compute square distance between point on curve and point on surface.

Fixed description in Extrema_GlobOptFuncCC.
mod - src/Extrema/Extrema_GlobOptFuncCC.hxx Diff ] File ]
mod - src/Extrema/Extrema_GlobOptFuncCS.cxx Diff ] File ]
mod - src/Extrema/Extrema_GlobOptFuncCS.hxx Diff ] File ]
mod - src/math/math_PSO.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-10-15 11:39 aml New Issue
2014-10-15 11:39 aml Assigned To => aml
2014-10-15 11:47 git Note Added: 0033111
2014-10-15 11:48 aml Note Added: 0033112
2014-10-15 11:48 aml Assigned To aml => abv
2014-10-15 11:48 aml Status new => resolved
2014-10-15 13:40 git Note Added: 0033127
2014-10-15 13:54 git Note Added: 0033130
2014-10-16 21:21 abv Note Added: 0033234
2014-10-16 21:21 abv Assigned To abv => bugmaster
2014-10-16 21:21 abv Status resolved => reviewed
2014-10-17 18:03 mkv Assigned To bugmaster => mkv
2014-10-17 19:04 git Note Added: 0033286
2014-10-20 20:33 mkv Note Added: 0033355
2014-10-20 20:33 mkv Test case number => Not needed
2014-10-20 20:33 mkv Assigned To mkv => bugmaster
2014-10-20 20:33 mkv Status reviewed => tested
2014-10-24 15:38 bugmaster Changeset attached => occt master f82a9555
2014-10-24 15:38 bugmaster Status tested => verified
2014-10-24 15:38 bugmaster Resolution open => fixed
2014-11-11 12:43 aiv Fixed in Version => 6.8.0
2014-11-11 13:02 aiv Status verified => closed
2014-11-12 09:54 git Note Added: 0034323


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker